朝夕日和 API
    • はじめに
    • 太陽と月の位置情報を計算
      GET
    • 朝日・夕日の見えやすさを判定
      GET
    • 指定日の最適観賞スポットを取得
      GET

      太陽と月の位置情報を計算

      GET
      /api/sunCalc
      日の出・日の入り、月の出・月の入り時刻、太陽と月の高度と方位角を計算。

      リクエストパラメータ

      クエリパラメータ

      レスポンス

      🟢200
      application/json
      HTTP 200 response
      ボディ

      リクエストリクエストExample
      Shell
      JavaScript
      Java
      Swift
      curl --location --request GET 'https://livlog.xyz/asayuubiyori/api/sunCalc?year&month&day&lat&lng'
      レスポンスレスポンスExample
      {
          "results": [
              {
                  "date": {
                      "month": 9,
                      "year": 2022,
                      "day": 5
                  },
                  "location": {
                      "coordinate": {
                          "lng": 139.6512,
                          "lat": 35.8554
                      }
                  },
                  "positions": {
                      "sunsetAzimuth": 279.34534844444863,
                      "moonsetAltitude": 0,
                      "solarNoonAzimuth": 180.5313879944135,
                      "sunriseAzimuth": 80.79920708663923,
                      "moonriseAzimuth": 124.18839266974442,
                      "moonsetAzimuth": 0,
                      "sunsetAltitude": 358.88421455321674,
                      "moonriseAltitude": 0.285847884106602,
                      "sunriseAltitude": 359.4145209861538,
                      "solarNoonAltitude": 61.145011260658876
                  },
                  "riseAndSet": {
                      "sunriseHm": "5:17",
                      "sunsetHm": "18:06",
                      "solarNoonHm": "11:41",
                      "moonsetHm": "0:00",
                      "moonriseHm": "14:28"
                  },
                  "moonAge": 8.779551673746028
              }
          ],
          "status": 0
      }
      更新日時 2026-03-31 12:28:40
      前へ
      はじめに
      次へ
      朝日・夕日の見えやすさを判定
      Built with